---
apiVersion: v2
name: sd-exporter
description: |
  Helm chart to deploy https://github.com/prometheus-community/helm-charts/tree/main/charts/prometheus-stackdriver-exporter
type: application
version: 0.1.7

dependencies:
  - name: common
    version: ~2
    repository: oci://registry-1.docker.io/bitnamicharts
    tags:
      - bitnami-common

  - name: vault-secrets
    version: ~1
    repository: oci://registry.ops.gitlab.net/gitlab-com/gl-infra/charts
    condition: vault-secrets.enabled
    tags:
      - vault
      - secrets

  - name: prometheus-stackdriver-exporter
    version: 4.8.1
    repository: https://prometheus-community.github.io/helm-charts
    condition: prometheus-stackdriver-exporter.enabled
    tags:
      - metrics
      - stackdriver
      - monitoring